# frozen_string_literal: true

require 'import'
require 'cht-lib-fabric/crns'
require 'flow_down/consumers/application_consumer'
require 'flow_down/actions'

module FlowDown
  module Consumers
    # Consume inbound CloudHealth Organization updates
    class Organizations < ApplicationConsumer
      include Import[:logger, :alert]

      def consume
        ::FlowDown::Helpers::OrganizationHelper.new.cleanup_org(params)
      end
    end
  end
end