# frozen_string_literal: true

require 'i18n'
require 'graphql'
require 'cht-lib-fabric/error_codes'

module FlowDown
  module ErrorCodes
    include ::Platform::ErrorCodes

    NOT_FOUND = "not_found"
    ALREADY_EXISTS = "already_exists"
  end

  module Exceptions
    class NotFound < ::StandardError; end
    class AlreadyExists < ::StandardError; end
  end
end
