# frozen_string_literal: true

require 'flow_down/graphql/schema'

# See: ENG-20240 - Warm Type Definition Cache
def warm_cache_workaround
    begin
      if ENV['RACK_ENV'] == 'production' ||
         ENV['RACK_ENV'] == 'development' ||
         ENV['RACK_ENV'] == 'preprod'
         Application["logger"].info "Warming schema type definitions in #{ENV['RACK_ENV']}"
        # For the schema to traverse and load all its definitions
        FlowDown::GraphQL::Schema.graphql_definition
      else
        Application["logger"].warn "Not warming schema type definitions in #{ENV['RACK_ENV']}"
      end
    rescue => ex
        Application["logger"].error ex
    end
end

warm_cache_workaround
