# frozen_string_literal: true

require 'container'
require 'flow_down/actions'
require 'flow_down/graph_ql/types'
require 'cht-lib-fabric/crn'
require 'cht-lib-fabric/helpers/graphql'
require 'cht-lib-fabric/helpers/graphql/metric_tracing'
require 'cht-lib-fabric/graphql/federation/types'

module FlowDown
  module GraphQL
    Inflector = ::Dry::Inflector.new
    # Define Schema
    class Schema < ::GraphQL::Schema
      use ::Platform::Helpers::GraphQL::MetricTracing,
          client: Application[:wavefront]
      include ApolloFederation::Schema

      query Types::Query
      mutation Types::Mutation


      def self.resolve_type(_type, object, _ctx)
        Schema.types[Inflector.demodulize(object.class.name)]
      end
    end
  end
end
